use_libarchive_for_zip_files causes problems

Bug #1404239 reported by Jonathan Riddell on 2014-12-19
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ark (Ubuntu)
Undecided
Unassigned

Bug Description

The patch from Debian use_libarchive_for_zip_files causes problems with password protected zip files, see comments 95 onwards
https://bugs.kde.org/show_bug.cgi?id=35371

It was added to allow turkish character support
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=723963

Related branches

Jonathan Riddell (jr) on 2014-12-19
Changed in ark (Ubuntu):
milestone: none → ubuntu-15.04
tags: added: kubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ark (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) on 2015-04-22
Changed in ark (Ubuntu):
milestone: ubuntu-15.04 → vivid-updates
Jonathan Riddell (jr) on 2015-04-22
Changed in ark (Ubuntu):
milestone: vivid-updates → ubuntu-15.10

I can confirm this bug is preset in Kubuntu 15.04, using both Plasma 4.2 and plasma 4.3

Waz (paviluf) wrote :

It would be great if this problem can be fixed in ark directly

https://bugs.kde.org/show_bug.cgi?id=319712

Waz (paviluf) wrote :

use_libarchive_for_zip_files seems to cause this problem too :

https://bugs.launchpad.net/ubuntu/+source/ark/+bug/1388532

Waz (paviluf) wrote :

This have to be fixed as soon as possible. The use of Ark on Kubuntu is "dangerous" because that can lead to data loss (zip from dropbox corrupted if extracted with ark, dummy file extracted if the archive is password protected, etc...).
https://bugs.kde.org/show_bug.cgi?id=348944
https://bugs.kde.org/show_bug.cgi?id=35371

To avoid this I use file-roller until these problems are fixed...

Prasad Murthy (murthy) wrote :

A patch made by Jose Manuel Santamaria Lema. Tested the patch by using the ppa(ppa:panfaust/kubuntu-kf5-experiments) containing the patched Ark package. The patched ark extracts files properly.

The attachment "Patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Jonathan Riddell (jr) wrote :

removed patch from git

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ark - 4:15.07.90-0ubuntu1

---------------
ark (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Remove Debian patch use_libarchive_for_zip_files, it causes problems
    LP: #1404239

  [ Aaron Honeycutt ]
  * Ported to KF5

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <email address hidden> Tue, 18 Aug 2015 08:55:10 +0100

Changed in ark (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Patches

Remote bug watches

Bug watches keep track of this bug in other bug trackers.